# software-di-controllo

OARPAF Instrument Control Software


## git configuration on observatory pc
To push directly on observatory pc (for people without access to INAF repo)
```
# on obseravatory pc
git config receive.denyCurrentBranch updateInstead

# on local machine
git remote add machine user@machine:software-di-controllo
git push machine main
```


## Python dependencies:

```
# For the core routines:
pip3 install requests loguru pyvantagepro astropy ping3 gnuplotlib
# For the API and the web interface:
pip3 install requests loguru flask==2.1.2 werkzeug==2.1.2 flask-restx flask-httpauth
```

## Branches:

- main
- dev
